explain_bind_or_die(3)

NAME
explain_bind_or_die - bind a name to a socket and report errors
    "bind a name to a socket and report errors"

SYNOPSIS
#include <libexplain/bind.h>

void explain_bind_or_die(int fildes, const struct sockaddr *sock_addr, int sock_addr_size);

DESCRIPTION
The explain_bind_or_die function is used to call the bind(2) system call. On failure an explanation will be printed to stderr, obtained from explain_bind(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_bind_or_die(fildes, sock_addr, sock_addr_size);

fildes
    The fildes, exactly as to be passed to the bind(2) system call.

sock_addr
    The sock_addr, exactly as to be passed to the bind(2) system call.

sock_addr_size
    The sock_addr_size, exactly as to be passed to the bind(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

bind(2)
    bind a name to a socket

explain_bind(3)
    explain bind(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller